# How to fetch all the users that can report issues for a project?

**URL:** <https://community.developer.atlassian.com/t/how-to-fetch-all-the-users-that-can-report-issues-for-a-project/95397>\
**Category:** Jira Cloud\
**Tags:** jira-cloud, rest-api, jira-server\
**Created:** [September 16, 2025, 3:19pm UTC](https://community.developer.atlassian.com/t/how-to-fetch-all-the-users-that-can-report-issues-for-a-project/95397 "2025-09-16T15:19:53Z")\
**Posts on this page:** 6\
**Page:** 1

<div class="post-metadata">

**Author:** ![G111](https://avatars.discourse-cdn.com/v4/letter/g/7ea924/32.png) [@G111](https://community.developer.atlassian.com/u/G111)\
**Post date:** [September 16, 2025, 3:19pm UTC](https://community.developer.atlassian.com/t/how-to-fetch-all-the-users-that-can-report-issues-for-a-project/95397/1 "2025-09-16T15:19:53Z")

</div>

I’m trying to use the Jira REST API v3 and I have a use case where I want to be able to get a list of the users that can be reporters of issues for a given project. I found that we can retrieve users that can be assigned issues in a project using the endpoint ([https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-search/#api-rest-api-3-user-assignable-multiprojectsearch-get](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-search/#api-rest-api-3-user-assignable-multiprojectsearch-get)) but, semantically speaking a reporter of an issue doesn’t necessarily needs to be assigned to issues. Is there a way to get a list of users that can act as reporters of issues in a project?

Thanks

---

<div class="post-metadata">

**Author:** ![FlixAndre](https://avatars.discourse-cdn.com/v4/letter/f/a9adbd/32.png) [@FlixAndre](https://community.developer.atlassian.com/u/FlixAndre)\
**Post date:** [September 16, 2025, 6:40pm UTC](https://community.developer.atlassian.com/t/how-to-fetch-all-the-users-that-can-report-issues-for-a-project/95397/2 "2025-09-16T18:40:08Z")

</div>

Hey @G111

There is **no dedicated REST endpoint** that directly returns “users who can be reporters” for a given project.

For Software / Business projects:

Use the **Group & User Picker** endpoint with a `projectId `[https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-group-and-user-picker/#api-group-group-and-user-picker](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-group-and-user-picker/#api-group-group-and-user-picker)

For Jira Service Management (JSM) projects:

Reporters are usually **customers** , not licensed Jira users.

You can list them with the JSM API:

GET /rest/servicedeskapi/servicedesk/{serviceDeskId}/customer?start=0&limit=50

---

<div class="post-metadata">

**Author:** ![G111](https://avatars.discourse-cdn.com/v4/letter/g/7ea924/32.png) [@G111](https://community.developer.atlassian.com/u/G111)\
**Post date:** [September 17, 2025, 2:28pm UTC](https://community.developer.atlassian.com/t/how-to-fetch-all-the-users-that-can-report-issues-for-a-project/95397/3 "2025-09-17T14:28:02Z")

</div>

Thanks Flix for the response. I think that the user picket endpoint makes more sense for my use case. The only downside is that we do need to pass a query parameter `query` otherwise it doesn’t work. In my case I have tested using `query = @` to attempt to retrieve all users but this is not a guarantee.

Also, the default limit is 50. Does the endpoint impose a hard limit of, say 1000 records?

---

<div class="post-metadata">

**Author:** ![FlixAndre](https://avatars.discourse-cdn.com/v4/letter/f/a9adbd/32.png) [@FlixAndre](https://community.developer.atlassian.com/u/FlixAndre)\
**Post date:** [September 17, 2025, 2:52pm UTC](https://community.developer.atlassian.com/t/how-to-fetch-all-the-users-that-can-report-issues-for-a-project/95397/4 "2025-09-17T14:52:29Z")

</div>

You can set the limit with this param:

**maxResults**

**integer**

The maximum number of items to return in each list.

Default: `50`Format: `int32`

---

<div class="post-metadata">

**Author:** ![G111](https://avatars.discourse-cdn.com/v4/letter/g/7ea924/32.png) [@G111](https://community.developer.atlassian.com/u/G111)\
**Post date:** [September 17, 2025, 3:05pm UTC](https://community.developer.atlassian.com/t/how-to-fetch-all-the-users-that-can-report-issues-for-a-project/95397/5 "2025-09-17T15:05:59Z")

</div>

yes I know that but my question is whether I can set `maxResults = 1000`?

---

<div class="post-metadata">

**Author:** ![FlixAndre](https://avatars.discourse-cdn.com/v4/letter/f/a9adbd/32.png) [@FlixAndre](https://community.developer.atlassian.com/u/FlixAndre)\
**Post date:** [September 17, 2025, 3:10pm UTC](https://community.developer.atlassian.com/t/how-to-fetch-all-the-users-that-can-report-issues-for-a-project/95397/6 "2025-09-17T15:10:02Z")

</div>

I Never test it, you can give a try
